<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::op_arma_Mat_to_mat&lt; T &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="structdlib_1_1op__arma___mat__to__mat.html">op_arma_Mat_to_mat</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="structdlib_1_1op__arma___mat__to__mat-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::op_arma_Mat_to_mat&lt; T &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for dlib::op_arma_Mat_to_mat&lt; T &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structdlib_1_1op__arma___mat__to__mat.png" usemap="#dlib::op_5Farma_5FMat_5Fto_5Fmat_3C_20T_20_3E_map" alt=""/>
  <map id="dlib::op_5Farma_5FMat_5Fto_5Fmat_3C_20T_20_3E_map" name="dlib::op_5Farma_5FMat_5Fto_5Fmat_3C_20T_20_3E_map">
<area href="structdlib_1_1does__not__alias.html" alt="dlib::does_not_alias" shape="rect" coords="0,0,189,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a09e26f81f22999918b4812e9f6655828"><td class="memItemLeft" align="right" valign="top"><a id="a09e26f81f22999918b4812e9f6655828"></a>
typedef T::elem_type&#160;</td><td class="memItemRight" valign="bottom"><b>type</b></td></tr>
<tr class="separator:a09e26f81f22999918b4812e9f6655828"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adad45e35071bcd983374a2181f268e7f"><td class="memItemLeft" align="right" valign="top"><a id="adad45e35071bcd983374a2181f268e7f"></a>
typedef T::elem_type&#160;</td><td class="memItemRight" valign="bottom"><b>const_ret_type</b></td></tr>
<tr class="separator:adad45e35071bcd983374a2181f268e7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13d350f410b8dd793324c567071027cc"><td class="memItemLeft" align="right" valign="top"><a id="a13d350f410b8dd793324c567071027cc"></a>
typedef <a class="el" href="namespacedlib.html#ae8aaef18fce6452263f46535116308ca">default_memory_manager</a>&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:a13d350f410b8dd793324c567071027cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d73a51cd100698e1d3007b49b501f22"><td class="memItemLeft" align="right" valign="top"><a id="a2d73a51cd100698e1d3007b49b501f22"></a>
typedef <a class="el" href="structdlib_1_1row__major__layout.html">row_major_layout</a>&#160;</td><td class="memItemRight" valign="bottom"><b>layout_type</b></td></tr>
<tr class="separator:a2d73a51cd100698e1d3007b49b501f22"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:acadf0f4394d84bb448bf25ca5b0c8c2e"><td class="memItemLeft" align="right" valign="top"><a id="acadf0f4394d84bb448bf25ca5b0c8c2e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>op_arma_Mat_to_mat</b> (const T &amp;array_)</td></tr>
<tr class="separator:acadf0f4394d84bb448bf25ca5b0c8c2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7b4aa9b339eefdc27f40903b16d4dc0"><td class="memItemLeft" align="right" valign="top"><a id="aa7b4aa9b339eefdc27f40903b16d4dc0"></a>
const_ret_type&#160;</td><td class="memItemRight" valign="bottom"><b>apply</b> (long r, long c) const</td></tr>
<tr class="separator:aa7b4aa9b339eefdc27f40903b16d4dc0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5933fd7b5ac5a1cb24e59b220d2f5b3"><td class="memItemLeft" align="right" valign="top"><a id="af5933fd7b5ac5a1cb24e59b220d2f5b3"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nr</b> () const</td></tr>
<tr class="separator:af5933fd7b5ac5a1cb24e59b220d2f5b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aecdfceba96967bca5ebf0aa914a22967"><td class="memItemLeft" align="right" valign="top"><a id="aecdfceba96967bca5ebf0aa914a22967"></a>
long&#160;</td><td class="memItemRight" valign="bottom"><b>nc</b> () const</td></tr>
<tr class="separator:aecdfceba96967bca5ebf0aa914a22967"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_structdlib_1_1does__not__alias"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_structdlib_1_1does__not__alias')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="structdlib_1_1does__not__alias.html">dlib::does_not_alias</a></td></tr>
<tr class="memitem:aceed084a5442b7259165b87b4bc45f10 inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplParams" colspan="2">template&lt;typename U &gt; </td></tr>
<tr class="memitem:aceed084a5442b7259165b87b4bc45f10 inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="structdlib_1_1does__not__alias.html#aceed084a5442b7259165b87b4bc45f10">aliases</a> (const U &amp;) const</td></tr>
<tr class="separator:aceed084a5442b7259165b87b4bc45f10 inherit pub_methods_structdlib_1_1does__not__alias"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf83f81e0880ddf9c5d97b76d5b2a17e inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplParams" colspan="2"><a id="aaf83f81e0880ddf9c5d97b76d5b2a17e"></a>
template&lt;typename U &gt; </td></tr>
<tr class="memitem:aaf83f81e0880ddf9c5d97b76d5b2a17e inherit pub_methods_structdlib_1_1does__not__alias"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><b>destructively_aliases</b> (const U &amp;) const</td></tr>
<tr class="separator:aaf83f81e0880ddf9c5d97b76d5b2a17e inherit pub_methods_structdlib_1_1does__not__alias"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ada2680c2059952d35968630d9c836747"><td class="memItemLeft" align="right" valign="top"><a id="ada2680c2059952d35968630d9c836747"></a>
const T &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>array</b></td></tr>
<tr class="separator:ada2680c2059952d35968630d9c836747"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:aa5a6d857142c66f7bcfc0700b8befbc8"><td class="memItemLeft" align="right" valign="top"><a id="aa5a6d857142c66f7bcfc0700b8befbc8"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>cost</b> = 1</td></tr>
<tr class="separator:aa5a6d857142c66f7bcfc0700b8befbc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dc9c1efae130ef3ae2c84ab0b5b39db"><td class="memItemLeft" align="right" valign="top"><a id="a1dc9c1efae130ef3ae2c84ab0b5b39db"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NR</b> = 0</td></tr>
<tr class="separator:a1dc9c1efae130ef3ae2c84ab0b5b39db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab041dea8fb358bb5153d855efd7da614"><td class="memItemLeft" align="right" valign="top"><a id="ab041dea8fb358bb5153d855efd7da614"></a>
static const long&#160;</td><td class="memItemRight" valign="bottom"><b>NC</b> = 0</td></tr>
<tr class="separator:ab041dea8fb358bb5153d855efd7da614"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="matrix__mat_8h_source.html">matrix_mat.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
